.\" Man page generated from reStructuredText.
.
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.TH "S3QLRM" "1" "Nov 02, 2024" "5.2.3" "S3QL"
.SH NAME
s3qlrm \- Fast tree removal on S3QL file systems
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
s3qlrm [options] <directory>
.ft P
.fi
.UNINDENT
.UNINDENT
.SH DESCRIPTION
.sp
S3QL is a file system for online data storage. Before using S3QL, make
sure to consult the full documentation (rather than just the man pages
which only briefly document the available userspace commands).
.sp
The \fBs3qlrm\fP command recursively deletes files and directories on an S3QL file
system. Although \fBs3qlrm\fP is faster than using e.g.  \fBrm \-r\fP, the main reason
for its existence is that it allows you to delete immutable trees (which can be created
with \fBs3qllock\fP) as well.
.sp
Be warned that there is no additional confirmation. The directory will
be removed entirely and immediately.
.sp
\fBs3qlrm\fP can only be called by the user that mounted the file system
and (if the file system was mounted with \fB\-\-allow\-other\fP or
\fB\-\-allow\-root\fP) the root user.
.SH OPTIONS
.sp
The \fBs3qlrm\fP command accepts the following options:
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.TP
.BI \-\-log \ <target>
Destination for log messages. Specify \fBnone\fP for
standard output or \fBsyslog\fP for the system logging
daemon. Anything else will be interpreted as a file
name. Log files will be rotated when they reach 1 MiB,
and at most 5 old log files will be kept. Default:
\fBNone\fP
.TP
.BI \-\-debug\-modules \ <modules>
Activate debugging output from specified modules (use
commas to separate multiple modules, \(aqall\(aq for
everything). Debug messages will be written to the
target specified by the \fB\-\-log\fP option.
.TP
.B  \-\-debug
Activate debugging output from all S3QL modules. Debug
messages will be written to the target specified by
the \fB\-\-log\fP option.
.TP
.B  \-\-quiet
be really quiet
.TP
.B  \-\-version
just print program version and exit
.UNINDENT
.UNINDENT
.UNINDENT
.SH EXIT CODES
.sp
\fBs3qlrm\fP may terminate with the following exit codes:
.INDENT 0.0
.TP
.B 0
Everything went well.
.TP
.B 1
An unexpected error occurred. This may indicate a bug in the
program.
.TP
.B 2
Invalid command line argument or configuration file key.
.UNINDENT
.SH SEE ALSO
.sp
The S3QL homepage is at \fI\%https://github.com/s3ql/s3ql/\fP\&.
.sp
The full S3QL documentation should also be installed somewhere on your
system, common locations are \fB/usr/share/doc/s3ql\fP or
\fB/usr/local/doc/s3ql\fP\&.
.SH COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>
.\" Generated by docutils manpage writer.
.
